unit ModPentagon;

interface

function Pentagoninb(addr:Word) : byte;
procedure Pentagonoutb(addr:Word; outbyte : byte);

implementation uses ModMultiface,ModMain,ModBetadisk,ModAy8912,UMain,ModDisplay;

Function Pentagoninb(addr:Word) : byte;
var port: Pair absolute addr;
    res,i:byte;
begin
    if glEmulatedTRDos then
    begin // TRDOS
      if (glPageAt[0]=nRomStart+3) and (port.l and 31>0) then
      begin
       i:=(port.l shr 4) and $e;
       if i<8 then betadisk.diskvg(i,res) else
       if i=$E then betadisk.diskvg(8,res);
       result:=res;
       exit;
     end;
   end;

   case port.l of
                  31: result:=stickvalue; (* Kempston *)
                63,191:result:=MF128inb(port.w);
{$IFDEF USE_SOUND}
                 253: AY8912.Regs[glSoundRegister];
{$ENDIF}
                 254: (* Keys *)
                    begin
                        res:=255;
                        if port.h and 128=0 then res:=res and keyB_SPC;
                        if port.h and 064=0 then res:=res and keyH_ENT;
                        if port.h and 032=0 then res:=res and keyY_P;
                        if port.h and 016=0 then res:=res and key6_0;
                        if port.h and 008=0 then res:=res and key1_5;
                        if port.h and 004=0 then res:=res and keyQ_T;
                        if port.h and 002=0 then res:=res and keyA_G;
                        if port.h and 001=0 then res:=res and keyCAPS_V;
                        {if (VOC_file_open) and (VOC_paused=false) then
                            res:=res xor return_next_bit;}
                        result:=res;
                       end;
                 255: result:=glvline and 255;
                else result:=255;
        end;
End;

procedure Pentagonoutb(addr:Word; outbyte : byte);
var btemp:Byte;
    port: Pair absolute addr;
begin
  if (glEmulatedTRDos) and (glPageAt[0]=nromstart+3) and
     (port.l and 31>0) then
   begin
    btemp:=(port.l shr 4);
    if btemp<8 then betadisk.diskvg(btemp,outbyte) else
    if btemp=$F then betadisk.diskvg(9,outbyte);
   end;

    If (port.l And $1) = 0 Then
    begin
     display.border:= (outbyte And $7);
     SpeakerOut(outbyte);
    end;

    if port.l=253 then
     begin
      btemp:=port.h shr 6;
      case btemp of
      0,1: begin
            glpageat[3]:=outbyte and 7;
            if (outbyte and 8)>0 then glUseScreen:=7 else glUseScreen:=5;
            if glpageat[0]<>nromstart+4 then
             glPageAt[0]:=nromstart+(outbyte and 16) shr 4;

            glLastOut7ffd:=outbyte;
           end;

        2: AY8912.Regs[glSoundRegister]:=outbyte;
        3: glSoundRegister := outbyte And $F;
      end;
  end;
end;

end.













function PentagonInPort(port:Word):Byte;
var i,res: byte;
    prt.h,port_lo:Byte;
begin
    port_lo:=port and $FF;prt.h:=port shr 8;

    if glEmulatedTRDos then
    begin // TRDOS
      if (glPageAt[0]=nRomStart+3) and (port_lo and 31>0) then
      begin
       i:=(port_lo shr 4) and $e;
       if i<8 then diskvg(i,res) else
       if i=$E then diskvg(8,res);
       result:=res;
       exit;
     end;
    end;

       case port_lo of
//                  31: result:=StickValue; (* Kempston *)
//                63,191:result:=inMF128(port_lo);
                 253: (* Ay-3-8912 *) result:=AY8912.Regs[glSoundRegister];
                 254: (* Keys *)
                    begin
        If (port And $8000) = 0 Then res := res And keyB_SPC;
        If (port And $4000) = 0 Then res := res And keyH_ENT;
        If (port And $2000) = 0 Then res := res And keyY_P;
        If (port And $1000) = 0 Then res := res And key6_0;
        If (port And $800) = 0 Then res := res And key1_5;
        If (port And $400) = 0 Then res := res And keyQ_T;
        If (port And $200) = 0 Then res := res And keyA_G;
        If (port And $100) = 0 Then res := res And keyCAPS_V;
        result := res;

                       end;
                 255: (* Vertical Retrace (not on +3 or +2A) *)
                      result:=glvline and 255; (* Temporary  *)
                else result:=255; (* Temporary *)
        end;
end;

procedure PentagonOutPort(port:word;outbyte:Byte);
var btemp,prt.h,port_lo:Byte;
begin
  prt.h:=(port shr 8) and $FF;
  port_lo:=(port and $FF);

  if (glEmulatedTRDos) and (glPageAt[0]=nromstart+3) and
     (port_lo and 31>0) then
   begin
    btemp:=(port_lo shr 4);
    if btemp<8 then diskvg(btemp,outbyte) else
    if btemp=$F then diskvg(9,outbyte);
   end;

  if (port_lo and 1)=0 then display.border:=outbyte and 7;(* ULA (border/48K sound) *)

  if not(odd(port)) then
  begin
     {$IFDEF USE_SOUND}
        If ((outbyte And 16) = 16) Then
        begin
         {$IFDEF USE_DEBUGGING}
            ReportDebug('glBeeperVal=31',0,True);
         {$ENDIF}
         glBeeperVal := 31
        end
        Else
         glBeeperVal := 0;
      {$ENDIF}
     exit;
  end;

    if port_lo=253 then
     begin
      btemp:=prt.h shr 6;
      case btemp of
      0,1: begin
            glpageat[3]:=outbyte and 7;
            if (outbyte and 8)>0 then glUseScreen:=7 else glUseScreen:=5;
            if glpageat[0]<>nromstart+4 then
             glpageat[0]:=nromstart+(outbyte and 16) shr 4;
            glLastOut7ffd:=outbyte;
           end;
        2: AY8912.Regs[glSoundRegister]:=outbyte;
        3: glSoundRegister := outbyte And $F;
      end;
     end;

end;

