unit ModZX128;

interface

function ZX128inb(addr : word) : byte;
procedure ZX128outb(addr : word; outbyte : byte);

implementation uses ModBetadisk,ModMultiface,ModMain,ModLoader,ModAy8912,UMain,ModDisplay;

Function ZX128inb(addr:Word) : byte;
    var res : byte;
        i:byte;
        port: pair absolute addr;
begin
    if glEmulatedTRDos then
    begin // TRDOS
      if (glPageAt[0]=nRomStart+3) and (port.l and 31>0) then
      begin
       i:=(port.l shr 4) and $e;
       if i<8 then betadisk.diskvg(i,res) else
       if i=$E then betadisk.diskvg(8,res);
       result:=res;
       exit;
     end;
   end;

        case port.l of
                  31: result:=StickValue; (* Kempston *)
                 63,191:result:=MF128inb(port.w);
{$IFDEF USE_SOUND}
                 253: result := AY8912.Regs[glSoundRegister];
{$ENDIF}
                 254: begin
                     res:=255;
                     if port.h and 128=0 then res:=res and keyB_SPC;
                     if port.h and 064=0 then res:=res and keyH_ENT;
                     if port.h and 032=0 then res:=res and keyY_P;
                     if port.h and 016=0 then res:=res and key6_0;
                     if port.h and 008=0 then res:=res and key1_5;
                     if port.h and 004=0 then res:=res and keyQ_T;
                     if port.h and 002=0 then res:=res and keyA_G;
                     if port.h and 001=0 then res:=res and keyCAPS_V;
                     result:=res;
                     end;
                 255: (* Vertical Retrace (not on +3 or +2A) *)
                      result:=glvline and 255; (* Temporary  *)
                else result:=255; (* Temporary *)
        end;
End;

procedure ZX128outb(addr:Word; outbyte : byte);
var btemp:Byte;
    port: Pair absolute addr;
begin
  if (glEmulatedTRDos) and (glPageAt[0]=nromstart+3) and
     (port.l and 31>0) then
   begin
    btemp:=(port.l shr 4);
    if btemp<8 then betadisk.diskvg(btemp,outbyte) else
    if btemp=$F then betadisk.diskvg(9,outbyte);
   end;

    If (port.l And $1) = 0 Then
    begin
     display.border:= (outbyte And $7);
     SpeakerOut(outbyte);
    end;
     
    if port.l=253 then
     begin
      btemp:=port.h shr 6;
      case btemp of
      0,1: begin
            glpageat[3]:=outbyte and 7;
            if (outbyte and 8)>0 then glUseScreen:=7 else glUseScreen:=5;
            if glpageat[0]<>nromstart+4 then
             glPageAt[0]:=nromstart+(outbyte and 16) shr 4;

            glLastOut7ffd:=outbyte;
           end;

        2: AY8912.Regs[glSoundRegister]:=outbyte;
        3: glSoundRegister := outbyte And $F;
      end;
  end;
end;

end.





