unit udisasm;
interface
  type
    TZ80Instr = record
      cInstr: String[14];
      nMask: Byte;
      aInstr: array[0..3] of Byte;
    end;

  const
    MAX_Z80_INSTR = 694;
    aZ80Instr: array[1..MAX_Z80_INSTR] of TZ80Instr = (
      (cInstr:'NOP'            ; nMask:$81; aInstr:($00, $00, $00, $00)),
      (cInstr:'LD BC,####'     ; nMask:$83; aInstr:($01, $00, $00, $00)),
      (cInstr:'LD (BC),A'      ; nMask:$81; aInstr:($02, $00, $00, $00)),
      (cInstr:'INC BC'         ; nMask:$81; aInstr:($03, $00, $00, $00)),
      (cInstr:'INC B'          ; nMask:$81; aInstr:($04, $00, $00, $00)),
      (cInstr:'DEC B'          ; nMask:$81; aInstr:($05, $00, $00, $00)),
      (cInstr:'LD B,##'        ; nMask:$82; aInstr:($06, $00, $00, $00)),
      (cInstr:'RLCA'           ; nMask:$81; aInstr:($07, $00, $00, $00)),
      (cInstr:'EX AF,AF"'      ; nMask:$81; aInstr:($08, $00, $00, $00)),
      (cInstr:'ADD HL,BC'      ; nMask:$81; aInstr:($09, $00, $00, $00)),
      (cInstr:'LD A,(BC)'      ; nMask:$81; aInstr:($0A, $00, $00, $00)),
      (cInstr:'DEC BC'         ; nMask:$81; aInstr:($0B, $00, $00, $00)),
      (cInstr:'INC C'          ; nMask:$81; aInstr:($0C, $00, $00, $00)),
      (cInstr:'DEC C'          ; nMask:$81; aInstr:($0D, $00, $00, $00)),
      (cInstr:'LD C,##'        ; nMask:$82; aInstr:($0E, $00, $00, $00)),
      (cInstr:'RRCA'           ; nMask:$81; aInstr:($0F, $00, $00, $00)),
      (cInstr:'DJNZ ##'        ; nMask:$82; aInstr:($10, $00, $00, $00)),
      (cInstr:'LD DE,####'     ; nMask:$83; aInstr:($11, $00, $00, $00)),
      (cInstr:'LD (DE),A'      ; nMask:$81; aInstr:($12, $00, $00, $00)),
      (cInstr:'INC DE'         ; nMask:$81; aInstr:($13, $00, $00, $00)),
      (cInstr:'INC D'          ; nMask:$81; aInstr:($14, $00, $00, $00)),
      (cInstr:'DEC D'          ; nMask:$81; aInstr:($15, $00, $00, $00)),
      (cInstr:'LD D,##'        ; nMask:$82; aInstr:($16, $00, $00, $00)),
      (cInstr:'RLA'            ; nMask:$81; aInstr:($17, $00, $00, $00)),
      (cInstr:'JR ##'          ; nMask:$82; aInstr:($18, $00, $00, $00)),
      (cInstr:'ADD HL,DE'      ; nMask:$81; aInstr:($19, $00, $00, $00)),
      (cInstr:'LD A,(DE)'      ; nMask:$81; aInstr:($1A, $00, $00, $00)),
      (cInstr:'DEC DE'         ; nMask:$81; aInstr:($1B, $00, $00, $00)),
      (cInstr:'INC E'          ; nMask:$81; aInstr:($1C, $00, $00, $00)),
      (cInstr:'DEC E'          ; nMask:$81; aInstr:($1D, $00, $00, $00)),
      (cInstr:'LD E,##'        ; nMask:$82; aInstr:($1E, $00, $00, $00)),
      (cInstr:'RRA'            ; nMask:$81; aInstr:($1F, $00, $00, $00)),
      (cInstr:'JR NZ,##'       ; nMask:$82; aInstr:($20, $00, $00, $00)),
      (cInstr:'LD HL,####'     ; nMask:$83; aInstr:($21, $00, $00, $00)),
      (cInstr:'LD (####),HL'   ; nMask:$83; aInstr:($22, $00, $00, $00)),
      (cInstr:'INC HL'         ; nMask:$81; aInstr:($23, $00, $00, $00)),
      (cInstr:'INC H'          ; nMask:$81; aInstr:($24, $00, $00, $00)),
      (cInstr:'DEC H'          ; nMask:$81; aInstr:($25, $00, $00, $00)),
      (cInstr:'LD H,##'        ; nMask:$82; aInstr:($26, $00, $00, $00)),
      (cInstr:'DAA'            ; nMask:$81; aInstr:($27, $00, $00, $00)),
      (cInstr:'JR Z,##'        ; nMask:$82; aInstr:($28, $00, $00, $00)),
      (cInstr:'ADD HL,HL'      ; nMask:$81; aInstr:($29, $00, $00, $00)),
      (cInstr:'LD HL,(####)'   ; nMask:$83; aInstr:($2A, $00, $00, $00)),
      (cInstr:'DEC HL'         ; nMask:$81; aInstr:($2B, $00, $00, $00)),
      (cInstr:'INC L'          ; nMask:$81; aInstr:($2C, $00, $00, $00)),
      (cInstr:'DEC L'          ; nMask:$81; aInstr:($2D, $00, $00, $00)),
      (cInstr:'LD L,##'        ; nMask:$82; aInstr:($2E, $00, $00, $00)),
      (cInstr:'CPL'            ; nMask:$81; aInstr:($2F, $00, $00, $00)),
      (cInstr:'JR NC,##'       ; nMask:$82; aInstr:($30, $00, $00, $00)),
      (cInstr:'LD SP,####'     ; nMask:$83; aInstr:($31, $00, $00, $00)),
      (cInstr:'LD (####),A'    ; nMask:$83; aInstr:($32, $00, $00, $00)),
      (cInstr:'INC SP'         ; nMask:$81; aInstr:($33, $00, $00, $00)),
      (cInstr:'INC (HL)'       ; nMask:$81; aInstr:($34, $00, $00, $00)),
      (cInstr:'DEC (HL)'       ; nMask:$81; aInstr:($35, $00, $00, $00)),
      (cInstr:'LD (HL),##'     ; nMask:$82; aInstr:($36, $00, $00, $00)),
      (cInstr:'SCF'            ; nMask:$81; aInstr:($37, $00, $00, $00)),
      (cInstr:'JR C,##'        ; nMask:$82; aInstr:($38, $00, $00, $00)),
      (cInstr:'ADD HL,SP'      ; nMask:$81; aInstr:($39, $00, $00, $00)),
      (cInstr:'LD A,(####)'    ; nMask:$83; aInstr:($3A, $00, $00, $00)),
      (cInstr:'DEC SP'         ; nMask:$81; aInstr:($3B, $00, $00, $00)),
      (cInstr:'INC A'          ; nMask:$81; aInstr:($3C, $00, $00, $00)),
      (cInstr:'DEC A'          ; nMask:$81; aInstr:($3D, $00, $00, $00)),
      (cInstr:'LD A,##'        ; nMask:$82; aInstr:($3E, $00, $00, $00)),
      (cInstr:'CCF'            ; nMask:$81; aInstr:($3F, $00, $00, $00)),
      (cInstr:'LD B,B'         ; nMask:$81; aInstr:($40, $00, $00, $00)),
      (cInstr:'LD B,C'         ; nMask:$81; aInstr:($41, $00, $00, $00)),
      (cInstr:'LD B,D'         ; nMask:$81; aInstr:($42, $00, $00, $00)),
      (cInstr:'LD B,E'         ; nMask:$81; aInstr:($43, $00, $00, $00)),
      (cInstr:'LD B,H'         ; nMask:$81; aInstr:($44, $00, $00, $00)),
      (cInstr:'LD B,L'         ; nMask:$81; aInstr:($45, $00, $00, $00)),
      (cInstr:'LD B,(HL)'      ; nMask:$81; aInstr:($46, $00, $00, $00)),
      (cInstr:'LD B,A'         ; nMask:$81; aInstr:($47, $00, $00, $00)),
      (cInstr:'LD C,B'         ; nMask:$81; aInstr:($48, $00, $00, $00)),
      (cInstr:'LD C,C'         ; nMask:$81; aInstr:($49, $00, $00, $00)),
      (cInstr:'LD C,D'         ; nMask:$81; aInstr:($4A, $00, $00, $00)),
      (cInstr:'LD C,E'         ; nMask:$81; aInstr:($4B, $00, $00, $00)),
      (cInstr:'LD C,H'         ; nMask:$81; aInstr:($4C, $00, $00, $00)),
      (cInstr:'LD C,L'         ; nMask:$81; aInstr:($4D, $00, $00, $00)),
      (cInstr:'LD C,(HL)'      ; nMask:$81; aInstr:($4E, $00, $00, $00)),
      (cInstr:'LD C,A'         ; nMask:$81; aInstr:($4F, $00, $00, $00)),
      (cInstr:'LD D,B'         ; nMask:$81; aInstr:($50, $00, $00, $00)),
      (cInstr:'LD D,C'         ; nMask:$81; aInstr:($51, $00, $00, $00)),
      (cInstr:'LD D,D'         ; nMask:$81; aInstr:($52, $00, $00, $00)),
      (cInstr:'LD D,E'         ; nMask:$81; aInstr:($53, $00, $00, $00)),
      (cInstr:'LD D,H'         ; nMask:$81; aInstr:($54, $00, $00, $00)),
      (cInstr:'LD D,L'         ; nMask:$81; aInstr:($55, $00, $00, $00)),
      (cInstr:'LD D,(HL)'      ; nMask:$81; aInstr:($56, $00, $00, $00)),
      (cInstr:'LD D,A'         ; nMask:$81; aInstr:($57, $00, $00, $00)),
      (cInstr:'LD E,B'         ; nMask:$81; aInstr:($58, $00, $00, $00)),
      (cInstr:'LD E,C'         ; nMask:$81; aInstr:($59, $00, $00, $00)),
      (cInstr:'LD E,D'         ; nMask:$81; aInstr:($5A, $00, $00, $00)),
      (cInstr:'LD E,E'         ; nMask:$81; aInstr:($5B, $00, $00, $00)),
      (cInstr:'LD E,H'         ; nMask:$81; aInstr:($5C, $00, $00, $00)),
      (cInstr:'LD E,L'         ; nMask:$81; aInstr:($5D, $00, $00, $00)),
      (cInstr:'LD E,(HL)'      ; nMask:$81; aInstr:($5E, $00, $00, $00)),
      (cInstr:'LD E,A'         ; nMask:$81; aInstr:($5F, $00, $00, $00)),
      (cInstr:'LD H,B'         ; nMask:$81; aInstr:($60, $00, $00, $00)),
      (cInstr:'LD H,C'         ; nMask:$81; aInstr:($61, $00, $00, $00)),
      (cInstr:'LD H,D'         ; nMask:$81; aInstr:($62, $00, $00, $00)),
      (cInstr:'LD H,E'         ; nMask:$81; aInstr:($63, $00, $00, $00)),
      (cInstr:'LD H,H'         ; nMask:$81; aInstr:($64, $00, $00, $00)),
      (cInstr:'LD H,L'         ; nMask:$81; aInstr:($65, $00, $00, $00)),
      (cInstr:'LD H,(HL)'      ; nMask:$81; aInstr:($66, $00, $00, $00)),
      (cInstr:'LD H,A'         ; nMask:$81; aInstr:($67, $00, $00, $00)),
      (cInstr:'LD L,B'         ; nMask:$81; aInstr:($68, $00, $00, $00)),
      (cInstr:'LD L,C'         ; nMask:$81; aInstr:($69, $00, $00, $00)),
      (cInstr:'LD L,D'         ; nMask:$81; aInstr:($6A, $00, $00, $00)),
      (cInstr:'LD L,E'         ; nMask:$81; aInstr:($6B, $00, $00, $00)),
      (cInstr:'LD L,H'         ; nMask:$81; aInstr:($6C, $00, $00, $00)),
      (cInstr:'LD L,L'         ; nMask:$81; aInstr:($6D, $00, $00, $00)),
      (cInstr:'LD L,(HL)'      ; nMask:$81; aInstr:($6E, $00, $00, $00)),
      (cInstr:'LD L,A'         ; nMask:$81; aInstr:($6F, $00, $00, $00)),
      (cInstr:'LD (HL),B'      ; nMask:$81; aInstr:($70, $00, $00, $00)),
      (cInstr:'LD (HL),C'      ; nMask:$81; aInstr:($71, $00, $00, $00)),
      (cInstr:'LD (HL),D'      ; nMask:$81; aInstr:($72, $00, $00, $00)),
      (cInstr:'LD (HL),E'      ; nMask:$81; aInstr:($73, $00, $00, $00)),
      (cInstr:'LD (HL),H'      ; nMask:$81; aInstr:($74, $00, $00, $00)),
      (cInstr:'LD (HL),L'      ; nMask:$81; aInstr:($75, $00, $00, $00)),
      (cInstr:'HALT'           ; nMask:$81; aInstr:($76, $00, $00, $00)),
      (cInstr:'LD (HL),A'      ; nMask:$81; aInstr:($77, $00, $00, $00)),
      (cInstr:'LD A,B'         ; nMask:$81; aInstr:($78, $00, $00, $00)),
      (cInstr:'LD A,C'         ; nMask:$81; aInstr:($79, $00, $00, $00)),
      (cInstr:'LD A,D'         ; nMask:$81; aInstr:($7A, $00, $00, $00)),
      (cInstr:'LD A,E'         ; nMask:$81; aInstr:($7B, $00, $00, $00)),
      (cInstr:'LD A,H'         ; nMask:$81; aInstr:($7C, $00, $00, $00)),
      (cInstr:'LD A,L'         ; nMask:$81; aInstr:($7D, $00, $00, $00)),
      (cInstr:'LD A,(HL)'      ; nMask:$81; aInstr:($7E, $00, $00, $00)),
      (cInstr:'LD A,A'         ; nMask:$81; aInstr:($7F, $00, $00, $00)),
      (cInstr:'ADD A,B'        ; nMask:$81; aInstr:($80, $00, $00, $00)),
      (cInstr:'ADD A,C'        ; nMask:$81; aInstr:($81, $00, $00, $00)),
      (cInstr:'ADD A,D'        ; nMask:$81; aInstr:($82, $00, $00, $00)),
      (cInstr:'ADD A,E'        ; nMask:$81; aInstr:($83, $00, $00, $00)),
      (cInstr:'ADD A,H'        ; nMask:$81; aInstr:($84, $00, $00, $00)),
      (cInstr:'ADD A,L'        ; nMask:$81; aInstr:($85, $00, $00, $00)),
      (cInstr:'ADD A,(HL)'     ; nMask:$81; aInstr:($86, $00, $00, $00)),
      (cInstr:'ADD A,A'        ; nMask:$81; aInstr:($87, $00, $00, $00)),
      (cInstr:'ADC A,B'        ; nMask:$81; aInstr:($88, $00, $00, $00)),
      (cInstr:'ADC A,C'        ; nMask:$81; aInstr:($89, $00, $00, $00)),
      (cInstr:'ADC A,D'        ; nMask:$81; aInstr:($8A, $00, $00, $00)),
      (cInstr:'ADC A,E'        ; nMask:$81; aInstr:($8B, $00, $00, $00)),
      (cInstr:'ADC A,H'        ; nMask:$81; aInstr:($8C, $00, $00, $00)),
      (cInstr:'ADC A,L'        ; nMask:$81; aInstr:($8D, $00, $00, $00)),
      (cInstr:'ADC A,(HL)'     ; nMask:$81; aInstr:($8E, $00, $00, $00)),
      (cInstr:'ADC A,A'        ; nMask:$81; aInstr:($8F, $00, $00, $00)),
      (cInstr:'SUB B'          ; nMask:$81; aInstr:($90, $00, $00, $00)),
      (cInstr:'SUB C'          ; nMask:$81; aInstr:($91, $00, $00, $00)),
      (cInstr:'SUB D'          ; nMask:$81; aInstr:($92, $00, $00, $00)),
      (cInstr:'SUB E'          ; nMask:$81; aInstr:($93, $00, $00, $00)),
      (cInstr:'SUB H'          ; nMask:$81; aInstr:($94, $00, $00, $00)),
      (cInstr:'SUB L'          ; nMask:$81; aInstr:($95, $00, $00, $00)),
      (cInstr:'SUB (HL)'       ; nMask:$81; aInstr:($96, $00, $00, $00)),
      (cInstr:'SUB A'          ; nMask:$81; aInstr:($97, $00, $00, $00)),
      (cInstr:'SBC B'          ; nMask:$81; aInstr:($98, $00, $00, $00)),
      (cInstr:'SBC C'          ; nMask:$81; aInstr:($99, $00, $00, $00)),
      (cInstr:'SBC D'          ; nMask:$81; aInstr:($9A, $00, $00, $00)),
      (cInstr:'SBC E'          ; nMask:$81; aInstr:($9B, $00, $00, $00)),
      (cInstr:'SBC H'          ; nMask:$81; aInstr:($9C, $00, $00, $00)),
      (cInstr:'SBC L'          ; nMask:$81; aInstr:($9D, $00, $00, $00)),
      (cInstr:'SBC (HL)'       ; nMask:$81; aInstr:($9E, $00, $00, $00)),
      (cInstr:'SBC A'          ; nMask:$81; aInstr:($9F, $00, $00, $00)),
      (cInstr:'AND B'          ; nMask:$81; aInstr:($A0, $00, $00, $00)),
      (cInstr:'AND C'          ; nMask:$81; aInstr:($A1, $00, $00, $00)),
      (cInstr:'AND D'          ; nMask:$81; aInstr:($A2, $00, $00, $00)),
      (cInstr:'AND E'          ; nMask:$81; aInstr:($A3, $00, $00, $00)),
      (cInstr:'AND H'          ; nMask:$81; aInstr:($A4, $00, $00, $00)),
      (cInstr:'AND L'          ; nMask:$81; aInstr:($A5, $00, $00, $00)),
      (cInstr:'AND (HL)'       ; nMask:$81; aInstr:($A6, $00, $00, $00)),
      (cInstr:'AND A'          ; nMask:$81; aInstr:($A7, $00, $00, $00)),
      (cInstr:'XOR B'          ; nMask:$81; aInstr:($A8, $00, $00, $00)),
      (cInstr:'XOR C'          ; nMask:$81; aInstr:($A9, $00, $00, $00)),
      (cInstr:'XOR D'          ; nMask:$81; aInstr:($AA, $00, $00, $00)),
      (cInstr:'XOR E'          ; nMask:$81; aInstr:($AB, $00, $00, $00)),
      (cInstr:'XOR H'          ; nMask:$81; aInstr:($AC, $00, $00, $00)),
      (cInstr:'XOR L'          ; nMask:$81; aInstr:($AD, $00, $00, $00)),
      (cInstr:'XOR (HL)'       ; nMask:$81; aInstr:($AE, $00, $00, $00)),
      (cInstr:'XOR A'          ; nMask:$81; aInstr:($AF, $00, $00, $00)),
      (cInstr:'OR B'           ; nMask:$81; aInstr:($B0, $00, $00, $00)),
      (cInstr:'OR C'           ; nMask:$81; aInstr:($B1, $00, $00, $00)),
      (cInstr:'OR D'           ; nMask:$81; aInstr:($B2, $00, $00, $00)),
      (cInstr:'OR E'           ; nMask:$81; aInstr:($B3, $00, $00, $00)),
      (cInstr:'OR H'           ; nMask:$81; aInstr:($B4, $00, $00, $00)),
      (cInstr:'OR L'           ; nMask:$81; aInstr:($B5, $00, $00, $00)),
      (cInstr:'OR (HL)'        ; nMask:$81; aInstr:($B6, $00, $00, $00)),
      (cInstr:'OR A'           ; nMask:$81; aInstr:($B7, $00, $00, $00)),
      (cInstr:'CP B'           ; nMask:$81; aInstr:($B8, $00, $00, $00)),
      (cInstr:'CP C'           ; nMask:$81; aInstr:($B9, $00, $00, $00)),
      (cInstr:'CP D'           ; nMask:$81; aInstr:($BA, $00, $00, $00)),
      (cInstr:'CP E'           ; nMask:$81; aInstr:($BB, $00, $00, $00)),
      (cInstr:'CP H'           ; nMask:$81; aInstr:($BC, $00, $00, $00)),
      (cInstr:'CP L'           ; nMask:$81; aInstr:($BD, $00, $00, $00)),
      (cInstr:'CP (HL)'        ; nMask:$81; aInstr:($BE, $00, $00, $00)),
      (cInstr:'CP A'           ; nMask:$81; aInstr:($BF, $00, $00, $00)),
      (cInstr:'RET NZ'         ; nMask:$81; aInstr:($C0, $00, $00, $00)),
      (cInstr:'POP BC'         ; nMask:$81; aInstr:($C1, $00, $00, $00)),
      (cInstr:'JP NZ,####'     ; nMask:$83; aInstr:($C2, $00, $00, $00)),
      (cInstr:'JP ####'        ; nMask:$83; aInstr:($C3, $00, $00, $00)),
      (cInstr:'CALL NZ,####'   ; nMask:$83; aInstr:($C4, $00, $00, $00)),
      (cInstr:'PUSH BC'        ; nMask:$81; aInstr:($C5, $00, $00, $00)),
      (cInstr:'ADD A,##'       ; nMask:$82; aInstr:($C6, $00, $00, $00)),
      (cInstr:'RST 00h'        ; nMask:$81; aInstr:($C7, $00, $00, $00)),
      (cInstr:'RET Z'          ; nMask:$81; aInstr:($C8, $00, $00, $00)),
      (cInstr:'RET'            ; nMask:$81; aInstr:($C9, $00, $00, $00)),
      (cInstr:'JP Z,####'      ; nMask:$83; aInstr:($CA, $00, $00, $00)),
      (cInstr:'RLC B'          ; nMask:$C2; aInstr:($CB, $00, $00, $00)),
      (cInstr:'RLC C'          ; nMask:$C2; aInstr:($CB, $01, $00, $00)),
      (cInstr:'RLC D'          ; nMask:$C2; aInstr:($CB, $02, $00, $00)),
      (cInstr:'RLC E'          ; nMask:$C2; aInstr:($CB, $03, $00, $00)),
      (cInstr:'RLC H'          ; nMask:$C2; aInstr:($CB, $04, $00, $00)),
      (cInstr:'RLC L'          ; nMask:$C2; aInstr:($CB, $05, $00, $00)),
      (cInstr:'RLC (HL)'       ; nMask:$C2; aInstr:($CB, $06, $00, $00)),
      (cInstr:'RLC A'          ; nMask:$C2; aInstr:($CB, $07, $00, $00)),
      (cInstr:'RRC B'          ; nMask:$C2; aInstr:($CB, $08, $00, $00)),
      (cInstr:'RRC C'          ; nMask:$C2; aInstr:($CB, $09, $00, $00)),
      (cInstr:'RRC D'          ; nMask:$C2; aInstr:($CB, $0A, $00, $00)),
      (cInstr:'RRC E'          ; nMask:$C2; aInstr:($CB, $0B, $00, $00)),
      (cInstr:'RRC H'          ; nMask:$C2; aInstr:($CB, $0C, $00, $00)),
      (cInstr:'RRC L'          ; nMask:$C2; aInstr:($CB, $0D, $00, $00)),
      (cInstr:'RRC (HL)'       ; nMask:$C2; aInstr:($CB, $0E, $00, $00)),
      (cInstr:'RRC A'          ; nMask:$C2; aInstr:($CB, $0F, $00, $00)),
      (cInstr:'RL  B'          ; nMask:$C2; aInstr:($CB, $10, $00, $00)),
      (cInstr:'RL  C'          ; nMask:$C2; aInstr:($CB, $11, $00, $00)),
      (cInstr:'RL  D'          ; nMask:$C2; aInstr:($CB, $12, $00, $00)),
      (cInstr:'RL  E'          ; nMask:$C2; aInstr:($CB, $13, $00, $00)),
      (cInstr:'RL  H'          ; nMask:$C2; aInstr:($CB, $14, $00, $00)),
      (cInstr:'RL  L'          ; nMask:$C2; aInstr:($CB, $15, $00, $00)),
      (cInstr:'RL  (HL)'       ; nMask:$C2; aInstr:($CB, $16, $00, $00)),
      (cInstr:'RL  A'          ; nMask:$C2; aInstr:($CB, $17, $00, $00)),
      (cInstr:'RR  B'          ; nMask:$C2; aInstr:($CB, $18, $00, $00)),
      (cInstr:'RR  C'          ; nMask:$C2; aInstr:($CB, $19, $00, $00)),
      (cInstr:'RR  D'          ; nMask:$C2; aInstr:($CB, $1A, $00, $00)),
      (cInstr:'RR  E'          ; nMask:$C2; aInstr:($CB, $1B, $00, $00)),
      (cInstr:'RR  H'          ; nMask:$C2; aInstr:($CB, $1C, $00, $00)),
      (cInstr:'RR  L'          ; nMask:$C2; aInstr:($CB, $1D, $00, $00)),
      (cInstr:'RR  (HL)'       ; nMask:$C2; aInstr:($CB, $1E, $00, $00)),
      (cInstr:'RR  A'          ; nMask:$C2; aInstr:($CB, $1F, $00, $00)),
      (cInstr:'SLA B'          ; nMask:$C2; aInstr:($CB, $20, $00, $00)),
      (cInstr:'SLA C'          ; nMask:$C2; aInstr:($CB, $21, $00, $00)),
      (cInstr:'SLA D'          ; nMask:$C2; aInstr:($CB, $22, $00, $00)),
      (cInstr:'SLA E'          ; nMask:$C2; aInstr:($CB, $23, $00, $00)),
      (cInstr:'SLA H'          ; nMask:$C2; aInstr:($CB, $24, $00, $00)),
      (cInstr:'SLA L'          ; nMask:$C2; aInstr:($CB, $25, $00, $00)),
      (cInstr:'SLA (HL)'       ; nMask:$C2; aInstr:($CB, $26, $00, $00)),
      (cInstr:'SLA A'          ; nMask:$C2; aInstr:($CB, $27, $00, $00)),
      (cInstr:'SRA B'          ; nMask:$C2; aInstr:($CB, $28, $00, $00)),
      (cInstr:'SRA C'          ; nMask:$C2; aInstr:($CB, $29, $00, $00)),
      (cInstr:'SRA D'          ; nMask:$C2; aInstr:($CB, $2A, $00, $00)),
      (cInstr:'SRA E'          ; nMask:$C2; aInstr:($CB, $2B, $00, $00)),
      (cInstr:'SRA H'          ; nMask:$C2; aInstr:($CB, $2C, $00, $00)),
      (cInstr:'SRA L'          ; nMask:$C2; aInstr:($CB, $2D, $00, $00)),
      (cInstr:'SRA (HL)'       ; nMask:$C2; aInstr:($CB, $2E, $00, $00)),
      (cInstr:'SRA A'          ; nMask:$C2; aInstr:($CB, $2F, $00, $00)),
      (cInstr:'SRL B'          ; nMask:$C2; aInstr:($CB, $38, $00, $00)),
      (cInstr:'SRL C'          ; nMask:$C2; aInstr:($CB, $39, $00, $00)),
      (cInstr:'SRL D'          ; nMask:$C2; aInstr:($CB, $3A, $00, $00)),
      (cInstr:'SRL E'          ; nMask:$C2; aInstr:($CB, $3B, $00, $00)),
      (cInstr:'SRL H'          ; nMask:$C2; aInstr:($CB, $3C, $00, $00)),
      (cInstr:'SRL L'          ; nMask:$C2; aInstr:($CB, $3D, $00, $00)),
      (cInstr:'SRL (HL)'       ; nMask:$C2; aInstr:($CB, $3E, $00, $00)),
      (cInstr:'SRL A'          ; nMask:$C2; aInstr:($CB, $3F, $00, $00)),
      (cInstr:'BIT 0,B'        ; nMask:$C2; aInstr:($CB, $40, $00, $00)),
      (cInstr:'BIT 0,C'        ; nMask:$C2; aInstr:($CB, $41, $00, $00)),
      (cInstr:'BIT 0,D'        ; nMask:$C2; aInstr:($CB, $42, $00, $00)),
      (cInstr:'BIT 0,E'        ; nMask:$C2; aInstr:($CB, $43, $00, $00)),
      (cInstr:'BIT 0,H'        ; nMask:$C2; aInstr:($CB, $44, $00, $00)),
      (cInstr:'BIT 0,L'        ; nMask:$C2; aInstr:($CB, $45, $00, $00)),
      (cInstr:'BIT 0,(HL)'     ; nMask:$C2; aInstr:($CB, $46, $00, $00)),
      (cInstr:'BIT 0,A'        ; nMask:$C2; aInstr:($CB, $47, $00, $00)),
      (cInstr:'BIT 1,B'        ; nMask:$C2; aInstr:($CB, $48, $00, $00)),
      (cInstr:'BIT 1,C'        ; nMask:$C2; aInstr:($CB, $49, $00, $00)),
      (cInstr:'BIT 1,D'        ; nMask:$C2; aInstr:($CB, $4A, $00, $00)),
      (cInstr:'BIT 1,E'        ; nMask:$C2; aInstr:($CB, $4B, $00, $00)),
      (cInstr:'BIT 1,H'        ; nMask:$C2; aInstr:($CB, $4C, $00, $00)),
      (cInstr:'BIT 1,L'        ; nMask:$C2; aInstr:($CB, $4D, $00, $00)),
      (cInstr:'BIT 1,(HL)'     ; nMask:$C2; aInstr:($CB, $4E, $00, $00)),
      (cInstr:'BIT 1,A'        ; nMask:$C2; aInstr:($CB, $4F, $00, $00)),
      (cInstr:'BIT 2,B'        ; nMask:$C2; aInstr:($CB, $50, $00, $00)),
      (cInstr:'BIT 2,C'        ; nMask:$C2; aInstr:($CB, $51, $00, $00)),
      (cInstr:'BIT 2,D'        ; nMask:$C2; aInstr:($CB, $52, $00, $00)),
      (cInstr:'BIT 2,E'        ; nMask:$C2; aInstr:($CB, $53, $00, $00)),
      (cInstr:'BIT 2,H'        ; nMask:$C2; aInstr:($CB, $54, $00, $00)),
      (cInstr:'BIT 2,L'        ; nMask:$C2; aInstr:($CB, $55, $00, $00)),
      (cInstr:'BIT 2,(HL)'     ; nMask:$C2; aInstr:($CB, $56, $00, $00)),
      (cInstr:'BIT 2,A'        ; nMask:$C2; aInstr:($CB, $57, $00, $00)),
      (cInstr:'BIT 3,B'        ; nMask:$C2; aInstr:($CB, $58, $00, $00)),
      (cInstr:'BIT 3,C'        ; nMask:$C2; aInstr:($CB, $59, $00, $00)),
      (cInstr:'BIT 3,D'        ; nMask:$C2; aInstr:($CB, $5A, $00, $00)),
      (cInstr:'BIT 3,E'        ; nMask:$C2; aInstr:($CB, $5B, $00, $00)),
      (cInstr:'BIT 3,H'        ; nMask:$C2; aInstr:($CB, $5C, $00, $00)),
      (cInstr:'BIT 3,L'        ; nMask:$C2; aInstr:($CB, $5D, $00, $00)),
      (cInstr:'BIT 3,(HL)'     ; nMask:$C2; aInstr:($CB, $5E, $00, $00)),
      (cInstr:'BIT 3,A'        ; nMask:$C2; aInstr:($CB, $5F, $00, $00)),
      (cInstr:'BIT 4,B'        ; nMask:$C2; aInstr:($CB, $60, $00, $00)),
      (cInstr:'BIT 4,C'        ; nMask:$C2; aInstr:($CB, $61, $00, $00)),
      (cInstr:'BIT 4,D'        ; nMask:$C2; aInstr:($CB, $62, $00, $00)),
      (cInstr:'BIT 4,E'        ; nMask:$C2; aInstr:($CB, $63, $00, $00)),
      (cInstr:'BIT 4,H'        ; nMask:$C2; aInstr:($CB, $64, $00, $00)),
      (cInstr:'BIT 4,L'        ; nMask:$C2; aInstr:($CB, $65, $00, $00)),
      (cInstr:'BIT 4,(HL)'     ; nMask:$C2; aInstr:($CB, $66, $00, $00)),
      (cInstr:'BIT 4,A'        ; nMask:$C2; aInstr:($CB, $67, $00, $00)),
      (cInstr:'BIT 5,B'        ; nMask:$C2; aInstr:($CB, $68, $00, $00)),
      (cInstr:'BIT 5,C'        ; nMask:$C2; aInstr:($CB, $69, $00, $00)),
      (cInstr:'BIT 5,D'        ; nMask:$C2; aInstr:($CB, $6A, $00, $00)),
      (cInstr:'BIT 5,E'        ; nMask:$C2; aInstr:($CB, $6B, $00, $00)),
      (cInstr:'BIT 5,H'        ; nMask:$C2; aInstr:($CB, $6C, $00, $00)),
      (cInstr:'BIT 5,L'        ; nMask:$C2; aInstr:($CB, $6D, $00, $00)),
      (cInstr:'BIT 5,(HL)'     ; nMask:$C2; aInstr:($CB, $6E, $00, $00)),
      (cInstr:'BIT 5,A'        ; nMask:$C2; aInstr:($CB, $6F, $00, $00)),
      (cInstr:'BIT 6,B'        ; nMask:$C2; aInstr:($CB, $70, $00, $00)),
      (cInstr:'BIT 6,C'        ; nMask:$C2; aInstr:($CB, $71, $00, $00)),
      (cInstr:'BIT 6,D'        ; nMask:$C2; aInstr:($CB, $72, $00, $00)),
      (cInstr:'BIT 6,E'        ; nMask:$C2; aInstr:($CB, $73, $00, $00)),
      (cInstr:'BIT 6,H'        ; nMask:$C2; aInstr:($CB, $74, $00, $00)),
      (cInstr:'BIT 6,L'        ; nMask:$C2; aInstr:($CB, $75, $00, $00)),
      (cInstr:'BIT 6,(HL)'     ; nMask:$C2; aInstr:($CB, $76, $00, $00)),
      (cInstr:'BIT 6,A'        ; nMask:$C2; aInstr:($CB, $77, $00, $00)),
      (cInstr:'BIT 7,B'        ; nMask:$C2; aInstr:($CB, $78, $00, $00)),
      (cInstr:'BIT 7,C'        ; nMask:$C2; aInstr:($CB, $79, $00, $00)),
      (cInstr:'BIT 7,D'        ; nMask:$C2; aInstr:($CB, $7A, $00, $00)),
      (cInstr:'BIT 7,E'        ; nMask:$C2; aInstr:($CB, $7B, $00, $00)),
      (cInstr:'BIT 7,H'        ; nMask:$C2; aInstr:($CB, $7C, $00, $00)),
      (cInstr:'BIT 7,L'        ; nMask:$C2; aInstr:($CB, $7D, $00, $00)),
      (cInstr:'BIT 7,(HL)'     ; nMask:$C2; aInstr:($CB, $7E, $00, $00)),
      (cInstr:'BIT 7,A'        ; nMask:$C2; aInstr:($CB, $7F, $00, $00)),
      (cInstr:'RES 0,B'        ; nMask:$C2; aInstr:($CB, $80, $00, $00)),
      (cInstr:'RES 0,C'        ; nMask:$C2; aInstr:($CB, $81, $00, $00)),
      (cInstr:'RES 0,D'        ; nMask:$C2; aInstr:($CB, $82, $00, $00)),
      (cInstr:'RES 0,E'        ; nMask:$C2; aInstr:($CB, $83, $00, $00)),
      (cInstr:'RES 0,H'        ; nMask:$C2; aInstr:($CB, $84, $00, $00)),
      (cInstr:'RES 0,L'        ; nMask:$C2; aInstr:($CB, $85, $00, $00)),
      (cInstr:'RES 0,(HL)'     ; nMask:$C2; aInstr:($CB, $86, $00, $00)),
      (cInstr:'RES 0,A'        ; nMask:$C2; aInstr:($CB, $87, $00, $00)),
      (cInstr:'RES 1,B'        ; nMask:$C2; aInstr:($CB, $88, $00, $00)),
      (cInstr:'RES 1,C'        ; nMask:$C2; aInstr:($CB, $89, $00, $00)),
      (cInstr:'RES 1,D'        ; nMask:$C2; aInstr:($CB, $8A, $00, $00)),
      (cInstr:'RES 1,E'        ; nMask:$C2; aInstr:($CB, $8B, $00, $00)),
      (cInstr:'RES 1,H'        ; nMask:$C2; aInstr:($CB, $8C, $00, $00)),
      (cInstr:'RES 1,L'        ; nMask:$C2; aInstr:($CB, $8D, $00, $00)),
      (cInstr:'RES 1,(HL)'     ; nMask:$C2; aInstr:($CB, $8E, $00, $00)),
      (cInstr:'RES 1,A'        ; nMask:$C2; aInstr:($CB, $8F, $00, $00)),
      (cInstr:'RES 2,B'        ; nMask:$C2; aInstr:($CB, $90, $00, $00)),
      (cInstr:'RES 2,C'        ; nMask:$C2; aInstr:($CB, $91, $00, $00)),
      (cInstr:'RES 2,D'        ; nMask:$C2; aInstr:($CB, $92, $00, $00)),
      (cInstr:'RES 2,E'        ; nMask:$C2; aInstr:($CB, $93, $00, $00)),
      (cInstr:'RES 2,H'        ; nMask:$C2; aInstr:($CB, $94, $00, $00)),
      (cInstr:'RES 2,L'        ; nMask:$C2; aInstr:($CB, $95, $00, $00)),
      (cInstr:'RES 2,(HL)'     ; nMask:$C2; aInstr:($CB, $96, $00, $00)),
      (cInstr:'RES 2,A'        ; nMask:$C2; aInstr:($CB, $97, $00, $00)),
      (cInstr:'RES 3,B'        ; nMask:$C2; aInstr:($CB, $98, $00, $00)),
      (cInstr:'RES 3,C'        ; nMask:$C2; aInstr:($CB, $99, $00, $00)),
      (cInstr:'RES 3,D'        ; nMask:$C2; aInstr:($CB, $9A, $00, $00)),
      (cInstr:'RES 3,E'        ; nMask:$C2; aInstr:($CB, $9B, $00, $00)),
      (cInstr:'RES 3,H'        ; nMask:$C2; aInstr:($CB, $9C, $00, $00)),
      (cInstr:'RES 3,L'        ; nMask:$C2; aInstr:($CB, $9D, $00, $00)),
      (cInstr:'RES 3,(HL)'     ; nMask:$C2; aInstr:($CB, $9E, $00, $00)),
      (cInstr:'RES 3,A'        ; nMask:$C2; aInstr:($CB, $9F, $00, $00)),
      (cInstr:'RES 4,B'        ; nMask:$C2; aInstr:($CB, $A0, $00, $00)),
      (cInstr:'RES 4,C'        ; nMask:$C2; aInstr:($CB, $A1, $00, $00)),
      (cInstr:'RES 4,D'        ; nMask:$C2; aInstr:($CB, $A2, $00, $00)),
      (cInstr:'RES 4,E'        ; nMask:$C2; aInstr:($CB, $A3, $00, $00)),
      (cInstr:'RES 4,H'        ; nMask:$C2; aInstr:($CB, $A4, $00, $00)),
      (cInstr:'RES 4,L'        ; nMask:$C2; aInstr:($CB, $A5, $00, $00)),
      (cInstr:'RES 4,(HL)'     ; nMask:$C2; aInstr:($CB, $A6, $00, $00)),
      (cInstr:'RES 4,A'        ; nMask:$C2; aInstr:($CB, $A7, $00, $00)),
      (cInstr:'RES 5,B'        ; nMask:$C2; aInstr:($CB, $A8, $00, $00)),
      (cInstr:'RES 5,C'        ; nMask:$C2; aInstr:($CB, $A9, $00, $00)),
      (cInstr:'RES 5,D'        ; nMask:$C2; aInstr:($CB, $AA, $00, $00)),
      (cInstr:'RES 5,E'        ; nMask:$C2; aInstr:($CB, $AB, $00, $00)),
      (cInstr:'RES 5,H'        ; nMask:$C2; aInstr:($CB, $AC, $00, $00)),
      (cInstr:'RES 5,L'        ; nMask:$C2; aInstr:($CB, $AD, $00, $00)),
      (cInstr:'RES 5,(HL)'     ; nMask:$C2; aInstr:($CB, $AE, $00, $00)),
      (cInstr:'RES 5,A'        ; nMask:$C2; aInstr:($CB, $AF, $00, $00)),
      (cInstr:'RES 6,B'        ; nMask:$C2; aInstr:($CB, $B0, $00, $00)),
      (cInstr:'RES 6,C'        ; nMask:$C2; aInstr:($CB, $B1, $00, $00)),
      (cInstr:'RES 6,D'        ; nMask:$C2; aInstr:($CB, $B2, $00, $00)),
      (cInstr:'RES 6,E'        ; nMask:$C2; aInstr:($CB, $B3, $00, $00)),
      (cInstr:'RES 6,H'        ; nMask:$C2; aInstr:($CB, $B4, $00, $00)),
      (cInstr:'RES 6,L'        ; nMask:$C2; aInstr:($CB, $B5, $00, $00)),
      (cInstr:'RES 6,(HL)'     ; nMask:$C2; aInstr:($CB, $B6, $00, $00)),
      (cInstr:'RES 6,A'        ; nMask:$C2; aInstr:($CB, $B7, $00, $00)),
      (cInstr:'RES 7,B'        ; nMask:$C2; aInstr:($CB, $B8, $00, $00)),
      (cInstr:'RES 7,C'        ; nMask:$C2; aInstr:($CB, $B9, $00, $00)),
      (cInstr:'RES 7,D'        ; nMask:$C2; aInstr:($CB, $BA, $00, $00)),
      (cInstr:'RES 7,E'        ; nMask:$C2; aInstr:($CB, $BB, $00, $00)),
      (cInstr:'RES 7,H'        ; nMask:$C2; aInstr:($CB, $BC, $00, $00)),
      (cInstr:'RES 7,L'        ; nMask:$C2; aInstr:($CB, $BD, $00, $00)),
      (cInstr:'RES 7,(HL)'     ; nMask:$C2; aInstr:($CB, $BE, $00, $00)),
      (cInstr:'RES 7,A'        ; nMask:$C2; aInstr:($CB, $BF, $00, $00)),
      (cInstr:'SET 0,B'        ; nMask:$C2; aInstr:($CB, $C0, $00, $00)),
      (cInstr:'SET 0,C'        ; nMask:$C2; aInstr:($CB, $C1, $00, $00)),
      (cInstr:'SET 0,D'        ; nMask:$C2; aInstr:($CB, $C2, $00, $00)),
      (cInstr:'SET 0,E'        ; nMask:$C2; aInstr:($CB, $C3, $00, $00)),
      (cInstr:'SET 0,H'        ; nMask:$C2; aInstr:($CB, $C4, $00, $00)),
      (cInstr:'SET 0,L'        ; nMask:$C2; aInstr:($CB, $C5, $00, $00)),
      (cInstr:'SET 0,(HL)'     ; nMask:$C2; aInstr:($CB, $C6, $00, $00)),
      (cInstr:'SET 0,A'        ; nMask:$C2; aInstr:($CB, $C7, $00, $00)),
      (cInstr:'SET 1,B'        ; nMask:$C2; aInstr:($CB, $C8, $00, $00)),
      (cInstr:'SET 1,C'        ; nMask:$C2; aInstr:($CB, $C9, $00, $00)),
      (cInstr:'SET 1,D'        ; nMask:$C2; aInstr:($CB, $CA, $00, $00)),
      (cInstr:'SET 1,E'        ; nMask:$C2; aInstr:($CB, $CB, $00, $00)),
      (cInstr:'SET 1,H'        ; nMask:$C2; aInstr:($CB, $CC, $00, $00)),
      (cInstr:'SET 1,L'        ; nMask:$C2; aInstr:($CB, $CD, $00, $00)),
      (cInstr:'SET 1,(HL)'     ; nMask:$C2; aInstr:($CB, $CE, $00, $00)),
      (cInstr:'SET 1,A'        ; nMask:$C2; aInstr:($CB, $CF, $00, $00)),
      (cInstr:'SET 2,B'        ; nMask:$C2; aInstr:($CB, $D0, $00, $00)),
      (cInstr:'SET 2,C'        ; nMask:$C2; aInstr:($CB, $D1, $00, $00)),
      (cInstr:'SET 2,D'        ; nMask:$C2; aInstr:($CB, $D2, $00, $00)),
      (cInstr:'SET 2,E'        ; nMask:$C2; aInstr:($CB, $D3, $00, $00)),
      (cInstr:'SET 2,H'        ; nMask:$C2; aInstr:($CB, $D4, $00, $00)),
      (cInstr:'SET 2,L'        ; nMask:$C2; aInstr:($CB, $D5, $00, $00)),
      (cInstr:'SET 2,(HL)'     ; nMask:$C2; aInstr:($CB, $D6, $00, $00)),
      (cInstr:'SET 2,A'        ; nMask:$C2; aInstr:($CB, $D7, $00, $00)),
      (cInstr:'SET 3,B'        ; nMask:$C2; aInstr:($CB, $D8, $00, $00)),
      (cInstr:'SET 3,C'        ; nMask:$C2; aInstr:($CB, $D9, $00, $00)),
      (cInstr:'SET 3,D'        ; nMask:$C2; aInstr:($CB, $DA, $00, $00)),
      (cInstr:'SET 3,E'        ; nMask:$C2; aInstr:($CB, $DB, $00, $00)),
      (cInstr:'SET 3,H'        ; nMask:$C2; aInstr:($CB, $DC, $00, $00)),
      (cInstr:'SET 3,L'        ; nMask:$C2; aInstr:($CB, $DD, $00, $00)),
      (cInstr:'SET 3,(HL)'     ; nMask:$C2; aInstr:($CB, $DE, $00, $00)),
      (cInstr:'SET 3,A'        ; nMask:$C2; aInstr:($CB, $DF, $00, $00)),
      (cInstr:'SET 4,B'        ; nMask:$C2; aInstr:($CB, $E0, $00, $00)),
      (cInstr:'SET 4,C'        ; nMask:$C2; aInstr:($CB, $E1, $00, $00)),
      (cInstr:'SET 4,D'        ; nMask:$C2; aInstr:($CB, $E2, $00, $00)),
      (cInstr:'SET 4,E'        ; nMask:$C2; aInstr:($CB, $E3, $00, $00)),
      (cInstr:'SET 4,H'        ; nMask:$C2; aInstr:($CB, $E4, $00, $00)),
      (cInstr:'SET 4,L'        ; nMask:$C2; aInstr:($CB, $E5, $00, $00)),
      (cInstr:'SET 4,(HL)'     ; nMask:$C2; aInstr:($CB, $E6, $00, $00)),
      (cInstr:'SET 4,A'        ; nMask:$C2; aInstr:($CB, $E7, $00, $00)),
      (cInstr:'SET 5,B'        ; nMask:$C2; aInstr:($CB, $E8, $00, $00)),
      (cInstr:'SET 5,C'        ; nMask:$C2; aInstr:($CB, $E9, $00, $00)),
      (cInstr:'SET 5,D'        ; nMask:$C2; aInstr:($CB, $EA, $00, $00)),
      (cInstr:'SET 5,E'        ; nMask:$C2; aInstr:($CB, $EB, $00, $00)),
      (cInstr:'SET 5,H'        ; nMask:$C2; aInstr:($CB, $EC, $00, $00)),
      (cInstr:'SET 5,L'        ; nMask:$C2; aInstr:($CB, $ED, $00, $00)),
      (cInstr:'SET 5,(HL)'     ; nMask:$C2; aInstr:($CB, $EE, $00, $00)),
      (cInstr:'SET 5,A'        ; nMask:$C2; aInstr:($CB, $EF, $00, $00)),
      (cInstr:'SET 6,B'        ; nMask:$C2; aInstr:($CB, $F0, $00, $00)),
      (cInstr:'SET 6,C'        ; nMask:$C2; aInstr:($CB, $F1, $00, $00)),
      (cInstr:'SET 6,D'        ; nMask:$C2; aInstr:($CB, $F2, $00, $00)),
      (cInstr:'SET 6,E'        ; nMask:$C2; aInstr:($CB, $F3, $00, $00)),
      (cInstr:'SET 6,H'        ; nMask:$C2; aInstr:($CB, $F4, $00, $00)),
      (cInstr:'SET 6,L'        ; nMask:$C2; aInstr:($CB, $F5, $00, $00)),
      (cInstr:'SET 6,(HL)'     ; nMask:$C2; aInstr:($CB, $F6, $00, $00)),
      (cInstr:'SET 6,A'        ; nMask:$C2; aInstr:($CB, $F7, $00, $00)),
      (cInstr:'SET 7,B'        ; nMask:$C2; aInstr:($CB, $F8, $00, $00)),
      (cInstr:'SET 7,C'        ; nMask:$C2; aInstr:($CB, $F9, $00, $00)),
      (cInstr:'SET 7,D'        ; nMask:$C2; aInstr:($CB, $FA, $00, $00)),
      (cInstr:'SET 7,E'        ; nMask:$C2; aInstr:($CB, $FB, $00, $00)),
      (cInstr:'SET 7,H'        ; nMask:$C2; aInstr:($CB, $FC, $00, $00)),
      (cInstr:'SET 7,L'        ; nMask:$C2; aInstr:($CB, $FD, $00, $00)),
      (cInstr:'SET 7,(HL)'     ; nMask:$C2; aInstr:($CB, $FE, $00, $00)),
      (cInstr:'SET 7,A'        ; nMask:$C2; aInstr:($CB, $FF, $00, $00)),
      (cInstr:'CALL Z,####'    ; nMask:$83; aInstr:($CC, $00, $00, $00)),
      (cInstr:'CALL ####'      ; nMask:$83; aInstr:($CD, $00, $00, $00)),
      (cInstr:'ADC A,##'       ; nMask:$82; aInstr:($CE, $00, $00, $00)),
      (cInstr:'RST 08h'        ; nMask:$81; aInstr:($CF, $00, $00, $00)),
      (cInstr:'RET NC'         ; nMask:$81; aInstr:($D0, $00, $00, $00)),
      (cInstr:'POP DE'         ; nMask:$81; aInstr:($D1, $00, $00, $00)),
      (cInstr:'JP NC,####'     ; nMask:$83; aInstr:($D2, $00, $00, $00)),
      (cInstr:'OUT (##),A'     ; nMask:$82; aInstr:($D3, $00, $00, $00)),
      (cInstr:'CALL NC,####'   ; nMask:$83; aInstr:($D4, $00, $00, $00)),
      (cInstr:'CALL NC,####'   ; nMask:$83; aInstr:($D4, $00, $00, $00)),
      (cInstr:'PUSH DE'        ; nMask:$81; aInstr:($D5, $00, $00, $00)),
      (cInstr:'SUB ##'         ; nMask:$82; aInstr:($D6, $00, $00, $00)),
      (cInstr:'RST 10h'        ; nMask:$81; aInstr:($D7, $00, $00, $00)),
      (cInstr:'RET C'          ; nMask:$81; aInstr:($D8, $00, $00, $00)),
      (cInstr:'EXX'            ; nMask:$81; aInstr:($D9, $00, $00, $00)),
      (cInstr:'JP C,####'      ; nMask:$83; aInstr:($DA, $00, $00, $00)),
      (cInstr:'IN A,(##)'      ; nMask:$82; aInstr:($DB, $00, $00, $00)),
      (cInstr:'CALL C,####'    ; nMask:$83; aInstr:($DC, $00, $00, $00)),
      (cInstr:'ADD IX,BC'      ; nMask:$C2; aInstr:($DD, $09, $00, $00)),
      (cInstr:'ADD IX,DE'      ; nMask:$C2; aInstr:($DD, $19, $00, $00)),
      (cInstr:'LD IX,####'     ; nMask:$C4; aInstr:($DD, $21, $00, $00)),
      (cInstr:'LD (####),IX'   ; nMask:$C4; aInstr:($DD, $22, $00, $00)),
      (cInstr:'INC IX'         ; nMask:$C2; aInstr:($DD, $23, $00, $00)),
      (cInstr:'ADD IX,IX'      ; nMask:$C2; aInstr:($DD, $29, $00, $00)),
      (cInstr:'LD IX,(####)'   ; nMask:$C4; aInstr:($DD, $2A, $00, $00)),
      (cInstr:'DEC IX'         ; nMask:$C2; aInstr:($DD, $2B, $00, $00)),
      (cInstr:'INC (IX+##)'    ; nMask:$C3; aInstr:($DD, $34, $00, $00)),
      (cInstr:'DEC (IX+##)'    ; nMask:$C3; aInstr:($DD, $35, $00, $00)),
      (cInstr:'LD (IX+##),##'  ; nMask:$C4; aInstr:($DD, $36, $00, $00)),
      (cInstr:'ADD IX,SP'      ; nMask:$C2; aInstr:($DD, $39, $00, $00)),
      (cInstr:'LD B,(IX+##)'   ; nMask:$C3; aInstr:($DD, $46, $00, $00)),
      (cInstr:'LD C,(IX+##)'   ; nMask:$C3; aInstr:($DD, $4E, $00, $00)),
      (cInstr:'LD D,(IX+##)'   ; nMask:$C3; aInstr:($DD, $56, $00, $00)),
      (cInstr:'LD E,(IX+##)'   ; nMask:$C3; aInstr:($DD, $5E, $00, $00)),
      (cInstr:'LD H,(IX+##)'   ; nMask:$C3; aInstr:($DD, $66, $00, $00)),
      (cInstr:'LD L,(IX+##)'   ; nMask:$C3; aInstr:($DD, $6E, $00, $00)),
      (cInstr:'LD (IX+##),B'   ; nMask:$C3; aInstr:($DD, $70, $00, $00)),
      (cInstr:'LD (IX+##),C'   ; nMask:$C3; aInstr:($DD, $71, $00, $00)),
      (cInstr:'LD (IX+##),D'   ; nMask:$C3; aInstr:($DD, $72, $00, $00)),
      (cInstr:'LD (IX+##),E'   ; nMask:$C3; aInstr:($DD, $73, $00, $00)),
      (cInstr:'LD (IX+##),H'   ; nMask:$C3; aInstr:($DD, $74, $00, $00)),
      (cInstr:'LD (IX+##),L'   ; nMask:$C3; aInstr:($DD, $75, $00, $00)),
      (cInstr:'LD (IX+##),A'   ; nMask:$C3; aInstr:($DD, $77, $00, $00)),
      (cInstr:'LD A,(IX+##)'   ; nMask:$C3; aInstr:($DD, $7E, $00, $00)),
      (cInstr:'ADD A,(IX+##)'  ; nMask:$C3; aInstr:($DD, $86, $00, $00)),
      (cInstr:'ADC A,(IX+##)'  ; nMask:$C3; aInstr:($DD, $8E, $00, $00)),
      (cInstr:'SUB (IX+##)'    ; nMask:$C3; aInstr:($DD, $96, $00, $00)),
      (cInstr:'SBC A,(IX+##)'  ; nMask:$C3; aInstr:($DD, $9E, $00, $00)),
      (cInstr:'AND (IX+##)'    ; nMask:$C3; aInstr:($DD, $A6, $00, $00)),
      (cInstr:'XOR (IX+##)'    ; nMask:$C3; aInstr:($DD, $AE, $00, $00)),
      (cInstr:'OR (IX+##)'     ; nMask:$C3; aInstr:($DD, $B6, $00, $00)),
      (cInstr:'CP (IX+##)'     ; nMask:$C3; aInstr:($DD, $BE, $00, $00)),
      (cInstr:'RLC (IX+##)'    ; nMask:$D4; aInstr:($DD, $CB, $00, $06)),
      (cInstr:'RRC (IX+##)'    ; nMask:$D4; aInstr:($DD, $CB, $00, $0E)),
      (cInstr:'RL (IX+##)'     ; nMask:$D4; aInstr:($DD, $CB, $00, $16)),
      (cInstr:'RR (IX+##)'     ; nMask:$D4; aInstr:($DD, $CB, $00, $1E)),
      (cInstr:'SLA (IX+##)'    ; nMask:$D4; aInstr:($DD, $CB, $00, $26)),
      (cInstr:'SRA (IX+##)'    ; nMask:$D4; aInstr:($DD, $CB, $00, $2E)),
      (cInstr:'BIT 0,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $46)),
      (cInstr:'BIT 1,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $4E)),
      (cInstr:'BIT 2,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $56)),
      (cInstr:'BIT 3,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $5E)),
      (cInstr:'BIT 4,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $66)),
      (cInstr:'BIT 5,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $6E)),
      (cInstr:'BIT 6,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $76)),
      (cInstr:'BIT 7,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $7E)),
      (cInstr:'RES 0,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $86)),
      (cInstr:'RES 1,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $8E)),
      (cInstr:'RES 2,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $96)),
      (cInstr:'RES 3,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $9E)),
      (cInstr:'RES 4,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $A6)),
      (cInstr:'RES 5,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $AE)),
      (cInstr:'RES 6,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $B6)),
      (cInstr:'RES 7,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $BE)),
      (cInstr:'SET 0,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $C6)),
      (cInstr:'SET 1,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $CE)),
      (cInstr:'SET 2,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $D6)),
      (cInstr:'SET 3,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $DE)),
      (cInstr:'SET 4,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $E6)),
      (cInstr:'SET 5,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $EE)),
      (cInstr:'SET 6,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $F6)),
      (cInstr:'SET 7,(IX+##)'  ; nMask:$D4; aInstr:($DD, $CB, $00, $FE)),
      (cInstr:'POP IX'         ; nMask:$C2; aInstr:($DD, $E1, $00, $00)),
      (cInstr:'EX (SP),IX'     ; nMask:$C2; aInstr:($DD, $E3, $00, $00)),
      (cInstr:'PUSH IX'        ; nMask:$C2; aInstr:($DD, $E5, $00, $00)),
      (cInstr:'JP (IX)'        ; nMask:$C2; aInstr:($DD, $E9, $00, $00)),
      (cInstr:'LD SP,IX'       ; nMask:$C2; aInstr:($DD, $F9, $00, $00)),
      (cInstr:'SBC A,##'       ; nMask:$82; aInstr:($DE, $00, $00, $00)),
      (cInstr:'RST 18h'        ; nMask:$81; aInstr:($DF, $00, $00, $00)),
      (cInstr:'RET PO'         ; nMask:$81; aInstr:($E0, $00, $00, $00)),
      (cInstr:'POP HL'         ; nMask:$81; aInstr:($E1, $00, $00, $00)),
      (cInstr:'JP PO,####'     ; nMask:$83; aInstr:($E2, $00, $00, $00)),
      (cInstr:'EX (SP),HL'     ; nMask:$81; aInstr:($E3, $00, $00, $00)),
      (cInstr:'CALL PO,####'   ; nMask:$83; aInstr:($E4, $00, $00, $00)),
      (cInstr:'PUSH HL'        ; nMask:$81; aInstr:($E5, $00, $00, $00)),
      (cInstr:'AND ##'         ; nMask:$82; aInstr:($E6, $00, $00, $00)),
      (cInstr:'RST 20h'        ; nMask:$81; aInstr:($E7, $00, $00, $00)),
      (cInstr:'RET PE'         ; nMask:$81; aInstr:($E8, $00, $00, $00)),
      (cInstr:'JP (HL)'        ; nMask:$81; aInstr:($E9, $00, $00, $00)),
      (cInstr:'JP PE,####'     ; nMask:$83; aInstr:($EA, $00, $00, $00)),
      (cInstr:'EX DE,HL'       ; nMask:$81; aInstr:($EB, $00, $00, $00)),
      (cInstr:'CALL PE,####'   ; nMask:$83; aInstr:($EC, $00, $00, $00)),
      (cInstr:'IN B,(C)'       ; nMask:$C2; aInstr:($ED, $40, $00, $00)),
      (cInstr:'OUT (C),B'      ; nMask:$C2; aInstr:($ED, $41, $00, $00)),
      (cInstr:'SBC HL,BC'      ; nMask:$C2; aInstr:($ED, $42, $00, $00)),
      (cInstr:'LD (####),BC'   ; nMask:$C4; aInstr:($ED, $43, $00, $00)),
      (cInstr:'NEG'            ; nMask:$C2; aInstr:($ED, $44, $00, $00)),
      (cInstr:'RETN'           ; nMask:$C2; aInstr:($ED, $45, $00, $00)),
      (cInstr:'IM 0'           ; nMask:$C2; aInstr:($ED, $46, $00, $00)),
      (cInstr:'LD I,A'         ; nMask:$C2; aInstr:($ED, $47, $00, $00)),
      (cInstr:'IN C,(C)'       ; nMask:$C2; aInstr:($ED, $48, $00, $00)),
      (cInstr:'OUT (C),C'      ; nMask:$C2; aInstr:($ED, $49, $00, $00)),
      (cInstr:'ADC HL,BC'      ; nMask:$C2; aInstr:($ED, $4A, $00, $00)),
      (cInstr:'LD BC,(####)'   ; nMask:$C4; aInstr:($ED, $4B, $00, $00)),
      (cInstr:'RETI'           ; nMask:$C2; aInstr:($ED, $4D, $00, $00)),
      (cInstr:'IN D,(C)'       ; nMask:$C2; aInstr:($ED, $50, $00, $00)),
      (cInstr:'OUT (C),D'      ; nMask:$C2; aInstr:($ED, $51, $00, $00)),
      (cInstr:'SBC HL,DE'      ; nMask:$C2; aInstr:($ED, $52, $00, $00)),
      (cInstr:'LD (####),DE'   ; nMask:$C4; aInstr:($ED, $53, $00, $00)),
      (cInstr:'IM 1'           ; nMask:$C2; aInstr:($ED, $56, $00, $00)),
      (cInstr:'LD A,I'         ; nMask:$C2; aInstr:($ED, $57, $00, $00)),
      (cInstr:'IN E,(C)'       ; nMask:$C2; aInstr:($ED, $58, $00, $00)),
      (cInstr:'OUT (C),E'      ; nMask:$C2; aInstr:($ED, $59, $00, $00)),
      (cInstr:'ADC HL,DE'      ; nMask:$C2; aInstr:($ED, $5A, $00, $00)),
      (cInstr:'LD DE,(####)'   ; nMask:$C4; aInstr:($ED, $5B, $00, $00)),
      (cInstr:'IM 2'           ; nMask:$C2; aInstr:($ED, $5E, $00, $00)),
      (cInstr:'IN H,(C)'       ; nMask:$C2; aInstr:($ED, $60, $00, $00)),
      (cInstr:'OUT (C),H'      ; nMask:$C2; aInstr:($ED, $61, $00, $00)),
      (cInstr:'SBC HL,HL'      ; nMask:$C2; aInstr:($ED, $62, $00, $00)),
      (cInstr:'RRD'            ; nMask:$C2; aInstr:($ED, $67, $00, $00)),
      (cInstr:'IN L,(C)'       ; nMask:$C2; aInstr:($ED, $68, $00, $00)),
      (cInstr:'OUT (C),L'      ; nMask:$C2; aInstr:($ED, $69, $00, $00)),
      (cInstr:'ADC HL,HL'      ; nMask:$C2; aInstr:($ED, $6A, $00, $00)),
      (cInstr:'RLD'            ; nMask:$C2; aInstr:($ED, $6F, $00, $00)),
      (cInstr:'SBC HL,SP'      ; nMask:$C2; aInstr:($ED, $72, $00, $00)),
      (cInstr:'LD (####),SP'   ; nMask:$C4; aInstr:($ED, $73, $00, $00)),
      (cInstr:'IN A,(C)'       ; nMask:$C2; aInstr:($ED, $78, $00, $00)),
      (cInstr:'OUT (C),A'      ; nMask:$C2; aInstr:($ED, $79, $00, $00)),
      (cInstr:'ADC HL,SP'      ; nMask:$C2; aInstr:($ED, $7A, $00, $00)),
      (cInstr:'LD SP,(####)'   ; nMask:$C4; aInstr:($ED, $7B, $00, $00)),
      (cInstr:'LDI'            ; nMask:$C2; aInstr:($ED, $A0, $00, $00)),
      (cInstr:'CPI'            ; nMask:$C2; aInstr:($ED, $A1, $00, $00)),
      (cInstr:'INI'            ; nMask:$C2; aInstr:($ED, $A2, $00, $00)),
      (cInstr:'OUTI'           ; nMask:$C2; aInstr:($ED, $A3, $00, $00)),
      (cInstr:'LDD'            ; nMask:$C2; aInstr:($ED, $A8, $00, $00)),
      (cInstr:'CPD'            ; nMask:$C2; aInstr:($ED, $A9, $00, $00)),
      (cInstr:'IND'            ; nMask:$C2; aInstr:($ED, $AA, $00, $00)),
      (cInstr:'OUTD'           ; nMask:$C2; aInstr:($ED, $AB, $00, $00)),
      (cInstr:'LDIR'           ; nMask:$C2; aInstr:($ED, $B0, $00, $00)),
      (cInstr:'CPIR'           ; nMask:$C2; aInstr:($ED, $B1, $00, $00)),
      (cInstr:'INIR'           ; nMask:$C2; aInstr:($ED, $B2, $00, $00)),
      (cInstr:'OTIR'           ; nMask:$C2; aInstr:($ED, $B3, $00, $00)),
      (cInstr:'LDDR'           ; nMask:$C2; aInstr:($ED, $B8, $00, $00)),
      (cInstr:'CPDR'           ; nMask:$C2; aInstr:($ED, $B9, $00, $00)),
      (cInstr:'INDR'           ; nMask:$C2; aInstr:($ED, $BA, $00, $00)),
      (cInstr:'OTDR'           ; nMask:$C2; aInstr:($ED, $BB, $00, $00)),
      (cInstr:'XOR ##'         ; nMask:$82; aInstr:($EE, $00, $00, $00)),
      (cInstr:'RST 28h'        ; nMask:$81; aInstr:($EF, $00, $00, $00)),
      (cInstr:'RET P'          ; nMask:$81; aInstr:($F0, $00, $00, $00)),
      (cInstr:'POP AF'         ; nMask:$81; aInstr:($F1, $00, $00, $00)),
      (cInstr:'JP P,####'      ; nMask:$83; aInstr:($F2, $00, $00, $00)),
      (cInstr:'DI'             ; nMask:$81; aInstr:($F3, $00, $00, $00)),
      (cInstr:'CALL P,####'    ; nMask:$83; aInstr:($F4, $00, $00, $00)),
      (cInstr:'PUSH AF'        ; nMask:$81; aInstr:($F5, $00, $00, $00)),
      (cInstr:'OR ##'          ; nMask:$82; aInstr:($F6, $00, $00, $00)),
      (cInstr:'RST 30h'        ; nMask:$81; aInstr:($F7, $00, $00, $00)),
      (cInstr:'RET M'          ; nMask:$81; aInstr:($F8, $00, $00, $00)),
      (cInstr:'LD SP,HL'       ; nMask:$81; aInstr:($F9, $00, $00, $00)),
      (cInstr:'JP M,####'      ; nMask:$83; aInstr:($FA, $00, $00, $00)),
      (cInstr:'EI'             ; nMask:$81; aInstr:($FB, $00, $00, $00)),
      (cInstr:'CALL M,####'    ; nMask:$83; aInstr:($FC, $00, $00, $00)),
      (cInstr:'LD (IY+##),A'   ; nMask:$C3; aInstr:($FD, $02, $00, $00)),
      (cInstr:'ADD IY,BC'      ; nMask:$C2; aInstr:($FD, $09, $00, $00)),
      (cInstr:'ADD IY,DE'      ; nMask:$C2; aInstr:($FD, $19, $00, $00)),
      (cInstr:'LD IY,####'     ; nMask:$C4; aInstr:($FD, $21, $00, $00)),
      (cInstr:'LD (####),IY'   ; nMask:$C4; aInstr:($FD, $22, $00, $00)),
      (cInstr:'INC IY'         ; nMask:$C2; aInstr:($FD, $23, $00, $00)),
      (cInstr:'ADD IY,IY'      ; nMask:$C2; aInstr:($FD, $29, $00, $00)),
      (cInstr:'LD IY,(####)'   ; nMask:$C4; aInstr:($FD, $2A, $00, $00)),
      (cInstr:'DEC IY'         ; nMask:$C2; aInstr:($FD, $2B, $00, $00)),
      (cInstr:'INC (IY+##)'    ; nMask:$C3; aInstr:($FD, $34, $00, $00)),
      (cInstr:'DEC (IY+##)'    ; nMask:$C3; aInstr:($FD, $35, $00, $00)),
      (cInstr:'LD (IY+##),##'  ; nMask:$C4; aInstr:($FD, $36, $00, $00)),
      (cInstr:'ADD IY,SP'      ; nMask:$C2; aInstr:($FD, $39, $00, $00)),
      (cInstr:'LD B,(IY+##)'   ; nMask:$C3; aInstr:($FD, $46, $00, $00)),
      (cInstr:'LD C,(IY+##)'   ; nMask:$C3; aInstr:($FD, $4E, $00, $00)),
      (cInstr:'LD D,(IY+##)'   ; nMask:$C3; aInstr:($FD, $56, $00, $00)),
      (cInstr:'LD E,(IY+##)'   ; nMask:$C3; aInstr:($FD, $5E, $00, $00)),
      (cInstr:'LD H,(IY+##)'   ; nMask:$C3; aInstr:($FD, $66, $00, $00)),
      (cInstr:'LD L,(IY+##)'   ; nMask:$C3; aInstr:($FD, $6E, $00, $00)),
      (cInstr:'LD (IY+##),B'   ; nMask:$C3; aInstr:($FD, $70, $00, $00)),
      (cInstr:'LD (IY+##),C'   ; nMask:$C3; aInstr:($FD, $71, $00, $00)),
      (cInstr:'LD (IY+##),D'   ; nMask:$C3; aInstr:($FD, $72, $00, $00)),
      (cInstr:'LD (IY+##),E'   ; nMask:$C3; aInstr:($FD, $73, $00, $00)),
      (cInstr:'LD (IY+##),H'   ; nMask:$C3; aInstr:($FD, $74, $00, $00)),
      (cInstr:'LD (IY+##),L'   ; nMask:$C3; aInstr:($FD, $75, $00, $00)),
      (cInstr:'LD (IY+##),A'   ; nMask:$C3; aInstr:($FD, $77, $00, $00)),
      (cInstr:'LD A,(IY+##)'   ; nMask:$C3; aInstr:($FD, $7E, $00, $00)),
      (cInstr:'ADD A,(IY+##)'  ; nMask:$C3; aInstr:($FD, $86, $00, $00)),
      (cInstr:'ADC A,(IY+##)'  ; nMask:$C3; aInstr:($FD, $8E, $00, $00)),
      (cInstr:'SUB (IY+##)'    ; nMask:$C3; aInstr:($FD, $96, $00, $00)),
      (cInstr:'SBC A,(IY+##)'  ; nMask:$C3; aInstr:($FD, $9E, $00, $00)),
      (cInstr:'AND (IY+##)'    ; nMask:$C3; aInstr:($FD, $A6, $00, $00)),
      (cInstr:'XOR (IY+##)'    ; nMask:$C3; aInstr:($FD, $AE, $00, $00)),
      (cInstr:'OR (IY+##)'     ; nMask:$C3; aInstr:($FD, $B6, $00, $00)),
      (cInstr:'CP (IY+##)'     ; nMask:$C3; aInstr:($FD, $BE, $00, $00)),
      (cInstr:'RLC (IY+##)'    ; nMask:$D4; aInstr:($FD, $CB, $00, $06)),
      (cInstr:'RRC (IY+##)'    ; nMask:$D4; aInstr:($FD, $CB, $00, $0E)),
      (cInstr:'RL (IY+##)'     ; nMask:$D4; aInstr:($FD, $CB, $00, $16)),
      (cInstr:'RR (IY+##)'     ; nMask:$D4; aInstr:($FD, $CB, $00, $1E)),
      (cInstr:'SLA (IY+##)'    ; nMask:$D4; aInstr:($FD, $CB, $00, $26)),
      (cInstr:'SRA (IY+##)'    ; nMask:$D4; aInstr:($FD, $CB, $00, $2E)),
      (cInstr:'BIT 0,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $46)),
      (cInstr:'BIT 1,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $4E)),
      (cInstr:'BIT 2,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $56)),
      (cInstr:'BIT 3,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $5E)),
      (cInstr:'BIT 4,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $66)),
      (cInstr:'BIT 5,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $6E)),
      (cInstr:'BIT 6,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $76)),
      (cInstr:'BIT 7,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $7E)),
      (cInstr:'RES 0,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $86)),
      (cInstr:'RES 1,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $8E)),
      (cInstr:'RES 2,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $96)),
      (cInstr:'RES 3,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $9E)),
      (cInstr:'RES 4,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $A6)),
      (cInstr:'RES 5,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $AE)),
      (cInstr:'RES 6,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $B6)),
      (cInstr:'RES 7,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $BE)),
      (cInstr:'SET 0,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $C6)),
      (cInstr:'SET 1,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $CE)),
      (cInstr:'SET 2,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $D6)),
      (cInstr:'SET 3,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $DE)),
      (cInstr:'SET 4,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $E6)),
      (cInstr:'SET 5,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $EE)),
      (cInstr:'SET 6,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $F6)),
      (cInstr:'SET 7,(IY+##)'  ; nMask:$D4; aInstr:($FD, $CB, $00, $FE)),
      (cInstr:'POP IY'         ; nMask:$C2; aInstr:($FD, $E1, $00, $00)),
      (cInstr:'EX (SP),IY'     ; nMask:$C2; aInstr:($FD, $E3, $00, $00)),
      (cInstr:'PUSH IY'        ; nMask:$C2; aInstr:($FD, $E5, $00, $00)),
      (cInstr:'JP (IY)'        ; nMask:$C2; aInstr:($FD, $E9, $00, $00)),
      (cInstr:'LD SP,IY'       ; nMask:$C2; aInstr:($FD, $F9, $00, $00)),
      (cInstr:'CP ##'          ; nMask:$82; aInstr:($FE, $00, $00, $00)),
      (cInstr:'RST 38h'        ; nMask:$81; aInstr:($FF, $00, $00, $00)));


implementation
end.
