unit udebug;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons;

const
  STATE_RUNNING = 0;
  STATE_PAUSED  = 1;
  STATE_STEP    = 2;
  BP_MAX        = 200;

type
  TBreakPoints=Array[0..200] of Word;
  TfrmDebug = class(TForm)
    Label3: TLabel;
    lblAF: TLabel;
    Label4: TLabel;
    lblBC: TLabel;
    lblDE: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    lblHL: TLabel;
    Label14: TLabel;
    lblPC: TLabel;
    lblSP: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    lblIY: TLabel;
    lblIX: TLabel;
    Label21: TLabel;
    Panel1: TPanel;
    sbPause: TSpeedButton;
    sbStep: TSpeedButton;
    sbPlay: TSpeedButton;
    sbAddWatch: TSpeedButton;
    Label5: TLabel;
    lblSFlag: TLabel;
    lblZFlag: TLabel;
    lblHFlag: TLabel;
    lblPFlag: TLabel;
    lblNFlag: TLabel;
    lblCFlag: TLabel;
    lblBit5Flag: TLabel;
    lblBit3Flag: TLabel;
    Bevel1: TBevel;
    lbWatches: TListBox;
    Label6: TLabel;
    sbDelWatch: TSpeedButton;
    Label1: TLabel;
    lblIM: TLabel;
    Label2: TLabel;
    lblIFF1: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    lblIFF2: TLabel;
    Label7: TLabel;
    lblIR: TLabel;
    pnlNextInstr: TPanel;
    lblBytes: TLabel;
    lblOper: TLabel;
    cbBreak: TComboBox;
    sbAddBreak: TSpeedButton;
    sbDelBreak: TSpeedButton;
    cbBreakPoint: TCheckBox;
    pnlRam: TPanel;
    Label13: TLabel;
    lblRam0: TLabel;
    lblRam1: TLabel;
    Label19: TLabel;
    Label26: TLabel;
    lblRam4: TLabel;
    lblRam3: TLabel;
    Label28: TLabel;
    Label25: TLabel;
    lblRam2: TLabel;
    Label27: TLabel;
    lblVideo: TLabel;
    procedure sbPauseClick(Sender: TObject);
    procedure sbPlayClick(Sender: TObject);
    procedure sbStepClick(Sender: TObject);
    procedure sbAddWatchClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure lbWatchesDrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure edBrkPointKeyPress(Sender: TObject; var Key: Char);
    procedure sbDelWatchClick(Sender: TObject);
    procedure sbAddBreakClick(Sender: TObject);
    procedure sbDelBreakClick(Sender: TObject);
  private
    { Private declarations }
    nState: Byte;
    aResult: array[0..31] of String[4];

    fBreakpoints: TBreakpoints;
    fBreakCount: Word;
    procedure GetBreakpoints;
    function GetDebugState: Integer;
    procedure SetDebugState(aState: Integer);
  public
    { Public declarations }
    procedure SetPos(nX, nY, nW, nH: Integer);
    procedure ClearList;
    procedure EvalWatches;
    property Breakpoints: TBreakpoints read fBreakpoints;
    property BreakCount: Word read fBreakCount;
    property DebugState: Integer read GetDebugState write SetDebugState;
  end;

var
  frmDebug: TfrmDebug;

implementation

uses UMain, UWAdd, ModMain, ModZ80, ubrkpnt;

{$R *.DFM}

procedure TfrmDebug.sbPauseClick(Sender: TObject);
begin
  SetDebugState(STATE_PAUSED);
end;

procedure TfrmDebug.sbPlayClick(Sender: TObject);
begin
  SetDebugState(STATE_RUNNING);
end;

procedure TfrmDebug.sbStepClick(Sender: TObject);
begin
  SetDebugState(STATE_STEP);
end;

function TfrmDebug.GetDebugState: Integer;
begin
  GetDebugState := nState;
end;

procedure TfrmDebug.SetDebugState(aState: Integer);
begin
  nState := aState;
  case nState of
    STATE_RUNNING: begin Caption := 'Debug (Running)';z80runstate:=Z80RUNNING;end;
    STATE_STEP:    begin Caption := 'Debug (Step)';z80runstate:=Z80RUNNING;end;
    STATE_PAUSED:  begin Caption := 'Debug (Paused)';z80runstate:=Z80STOPPED;end;
  end;
end;

procedure TfrmDebug.sbAddWatchClick(Sender: TObject);
var
  cAux: String;
begin
  frmAddWatch.SetPos(Left+64, Top+16);
  frmAddWatch.ShowModal;
  if frmAddWatch.ModalResult=MROK then begin
    with frmAddWatch do
      cAux := edAddr.Text+','+edDesloc.Text+','+
              IntToStr(rbIndex.ItemIndex)+','+
              IntToStr(rbView.ItemIndex)+','+
              IntToStr(rbType.ItemIndex)+',?????';

    lbWatches.Items.Add(cAux);
  end;
end;

procedure TfrmDebug.SetPos(nX, nY, nW, nH: Integer);
begin
  if nX<>-1 then Left := nX;
  if nY<>-1 then Top := nY;
  if nW<>-1 then Width := nW;
  if nH<>-1 then Height := nH;
end;

procedure TfrmDebug.ClearList;
begin
  lbWatches.Items.Clear;
  lbWatches.Items.Add('0000,00,0,0,0,????');
  lbWatches.Items.Add('0000,00,1,0,0,????');
  lbWatches.Items.Add('0000,00,2,0,0,????');
  lbWatches.Items.Add('0000,00,3,0,0,????');
  lbWatches.Items.Add('0000,00,4,0,0,????');
  lbWatches.Items.Add('0000,00,6,0,0,????');
  lbWatches.Items.Add('0000,00,7,0,1,????');
end;

procedure TfrmDebug.FormCreate(Sender: TObject);
begin
  ClearList;
end;

procedure TfrmDebug.lbWatchesDrawItem(Control: TWinControl; Index: Integer;
  Rect: TRect; State: TOwnerDrawState);
var
  I: Integer;
  cItem, cAux: String;
  cItems: array[1..10] of String[7];
  nCont: Integer;
begin
  with lbWatches.Canvas, Rect do begin
    FillRect(Rect);

    cItem := lbWatches.Items[Index];
    nCont := 0;
    cAux := '';
    for i := 1 to Length(cItem)+1 do begin
      if (i>Length(cItem)) or (cItem[i]=',') then begin
        Inc(nCont);
        cItems[nCont] := cAux;
        cAux := '';
      end
      else begin
        cAux := cAux+cItem[i];
      end;
    end;

    cAux := '???';
    if cItems[5]<>'' then begin
      if cItems[5][1]='0' then begin
        cAux := 'bptr ';
      end
      else begin
        cAux := 'wptr ';
      end;
    end;

    if cItems[3]<>'' then begin
      case cItems[3][1] of
        '0': cAux := cAux+'[BC]';
        '1': cAux := cAux+'[DE]';
        '2': cAux := cAux+'[HL]';
        '3': cAux := cAux+'[IX+'+cItems[2]+']';
        '4': cAux := cAux+'[IY+'+cItems[2]+']';
        '5': cAux := cAux+'['+cItems[1]+']';
        '6': cAux := cAux+'[PC]';
        '7': cAux := cAux+'[SP]';
      end;
    end;

    if not (ODSELECTED in State) then Font.Color := CLBLUE;
    TextOut(left, top, cAux);

    if not (ODSELECTED in State) then Font.Color := CLRED;
    TextOut(left+48, top, aResult[Index]);
  end;
end;


procedure TfrmDebug.EvalWatches;
var
  I, nIndex, nAddr, nDesloc: Integer;
  cItem, cAux: String;
  cItems: array[1..10] of String[7];
  nCont: Integer;
begin
  for nIndex := 0 to lbWatches.Items.Count-1 do begin
    cItem := lbWatches.Items[nIndex];
    nCont := 0;
    cAux := '';
    for i := 1 to Length(cItem)+1 do begin
      if (i>Length(cItem)) or (cItem[i]=',') then begin
        Inc(nCont);
        cItems[nCont] := cAux;
        cAux := '';
      end
      else begin
        cAux := cAux+cItem[i];
      end;
    end;

    nAddr := StrToInt('$'+cItems[1]);
    nDesloc := ShortInt(StrToInt('$'+cItems[2]));
    if cItems[3]<>'' then begin
      case cItems[3][1] of
        '0': nAddr := BC.W;
        '1': nAddr := DE.W;
        '2': nAddr := HL.W;
        '3': nAddr := IX.W+nDesloc;
        '4': nAddr := IY.W+nDesloc;
        '6': nAddr := PC.W;
        '7': nAddr := SP.W;
      end;
    end;

    cAux := '????';
    if cItems[5]<>'' then begin
      if cItems[5][1]='0' then begin
        cAux := IntToHex(peekb(nAddr), 2);
      end
      else begin
        cAux := IntToHex(peekw(nAddr), 4);
      end;
    end;

    aResult[nIndex] := cAux;

  end;
  lbWatches.Refresh;
end;

procedure TfrmDebug.edBrkPointKeyPress(Sender: TObject; var Key: Char);
begin
  if not (Key in [#8, '0'..'9', 'A'..'F', 'a'..'f']) then begin
    Key := #0;
  end;
end;

procedure TfrmDebug.sbDelWatchClick(Sender: TObject);
begin
  if lbWatches.ItemIndex>=0 then begin
    lbWatches.Items.Delete(lbWatches.ItemIndex);
  end
  else begin
    ShowMessage('You need to choose a Watch before delete it!');
  end;
end;

procedure TfrmDebug.GetBreakpoints;
var i:integer;
begin
 fillchar(fbreakpoints,sizeof(fbreakpoints),0);
 for i:=0 to cbBreak.items.count-1 do
  fbreakpoints[i]:=strtoint('$'+cbBreak.items[i]);
 fbreakcount:=cbBreak.items.count;
end;

procedure TfrmDebug.sbAddBreakClick(Sender: TObject);
begin
  frmBreakPoint.SetPos(Left+sbAddBreak.Left+8, Top+sbAddBreak.Top+8);
  frmBreakPoint.ShowModal;
  if frmBreakPoint.ModalResult=MROK then
   begin
    cbBreak.ItemIndex := cbBreak.Items.Add(frmBreakPoint.edAddr.Text);
    GetBreakPoints;
   end;
end;

procedure TfrmDebug.sbDelBreakClick(Sender: TObject);
begin
  if cbBreak.ItemIndex>=0 then begin
    cbBreak.Items.Delete(cbBreak.ItemIndex);
    getbreakpoints;
    if cbBreak.Items.Count>0 then
      cbBreak.ItemIndex := 0
    else
      cbBreak.ItemIndex := -1
  end;
end;

end.
   