unit UOptions;
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmOptions = class(TForm)
    lblStatic: TLabel;
    cboModel: TComboBox;
    chkSound: TCheckBox;
    grpEmulationSpeed: TRadioGroup;
    btnOK: TButton;
    btnCancel: TButton;
    procedure FormShow(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmOptions: TfrmOptions;

implementation

uses modMain;

{$R *.DFM}

procedure TfrmOptions.FormShow(Sender: TObject);
begin
    Case glInterruptDelay of
      40: // 40ms delay = 50% Spectrum speed
        grpEmulationSpeed.ItemIndex := 0;
      20: //20ms delay = 100% Spectrum speed
        grpEmulationSpeed.ItemIndex := 1;
      10: //10ms delay = 200% Spectrum speed
        grpEmulationSpeed.ItemIndex := 2;
       0: // 0 delay = run as fast as possible
        grpEmulationSpeed.ItemIndex := 3;
       else
        grpEmulationSpeed.ItemIndex := 1;
    End;

    cboModel.Itemindex:=glEmulatedModel;

    {$IFDEF USE_SOUND}
      chkSound.Enabled := True;
      If gbSoundEnabled Then chkSound.checked := true Else chkSound.checked := false;
    {$ELSE}
        chkSound.Enabled := False;
    {$ENDIF}
end;

procedure TfrmOptions.btnOKClick(Sender: TObject);
  var dum: integer;
begin
    If grpEmulationSpeed.ItemIndex = 0 Then
        glInterruptDelay := 40
    Else If grpEmulationSpeed.ItemIndex = 1 Then
        glInterruptDelay := 20
    Else If grpEmulationSpeed.ItemIndex = 2 Then
        glInterruptDelay := 10
    Else If grpEmulationSpeed.ItemIndex = 3 Then
        glInterruptDelay := 0;
    SaveSetting('InterruptDelay', IntToStr(glInterruptDelay));
    
    glEmulatedModel := cboModel.ItemIndex;
    SaveSetting('EmulatedModel', IntToStr(glEmulatedModel));

    {$IFDEF USE_SOUND}
    if (chkSound.Checked) then dum:=1 else dum:= 0;
    SaveSetting('SoundEnabled', IntToStr(dum));
    If gbSoundEnabled Then
    begin
      If chkSound.checked = false Then
        CloseWaveOut;
    end
    Else
    begin
      If chkSound.checked = true Then
        gbSoundEnabled := InitializeWaveOut;
    End;
    {$ENDIF}
end;

end.
