unit UResolution;

interface

const MaxModes=400;

type TMode=record
           HRes, VRes, Bpp: word;
          end;
var Modes: Array[0..MaxModes] of TMode;
    MCount: Integer;
    DisplayMode: TMode;

procedure ChangeRes(rw, rh, rbpp: Cardinal);
function getBestResolution(W,H:integer):Byte;

implementation uses windows,dialogs;

function getBestResolution(W,H:integer):Byte;
var i,bestmode:integer;
begin
 bestmode:=Mcount;
 for i:=0 to Mcount-1 do
  begin
   if (modes[i].hres>=W) and (modes[i].vres>=H) and
     ((modes[i].hres<modes[bestmode].hres) and (modes[i].vres<modes[bestmode].vres))
    then bestmode:=i;
  end;
 result:=bestmode;
end;

function ChangeDisplaySettings(lpDevMode: PDeviceModeA; dwFlags: DWORD): Longint; stdcall;
         external user32 name 'ChangeDisplaySettingsA';

procedure ChangeRes(rw, rh, rbpp: Cardinal);
var
  devMode: TDeviceMode;
  modeExists: LongBool;
  modeSwitch, closeMode, i: Integer;
begin

  // Change the display resolution to rw x rh and rbpp bits.
  // Use cgChangeRes(0, 0, 0) to restore the normal resolution.
  closeMode := 0;
  i := 0;
  repeat
    modeExists := EnumDisplaySettings(nil, i, devMode);
    // if not modeExists then: This mode may not be supported. We'll try anyway, though.
    with devMode do
    begin
      if (dmBitsPerPel = rbpp) and (dmPelsWidth = rw) and (dmPelsHeight = rh) then
      begin
        modeSwitch := ChangeDisplaySettings(@devMode, CDS_FULLSCREEN);
        if modeSwitch = DISP_CHANGE_SUCCESSFUL then Exit;
      end;
    end;
    if closeMode <> 0 then closeMode := i;
    INC(i);
  until not modeExists;

  EnumDisplaySettings(nil, closeMode, devMode);
  with devMode do
  begin
    dmBitsPerPel := rbpp;
    dmPelsWidth := rw;
    dmPelsHeight := rh;
    dmFields := DM_BITSPERPEL or DM_PELSWIDTH or DM_PELSHEIGHT;
  end;
  modeSwitch := ChangeDisplaySettings(@devMode, CDS_FULLSCREEN);
  if modeSwitch = DISP_CHANGE_SUCCESSFUL then Exit;

  devMode.dmFields := DM_BITSPERPEL;
  modeSwitch := ChangeDisplaySettings(@devMode, CDS_FULLSCREEN);
  if modeSwitch = DISP_CHANGE_SUCCESSFUL then
  begin
    devMode.dmFields := DM_PELSWIDTH or DM_PELSHEIGHT;
    modeSwitch := ChangeDisplaySettings(@devMode, CDS_FULLSCREEN);
    if modeSwitch = DISP_CHANGE_SUCCESSFUL then
    begin
      ChangeDisplaySettings(nil, 0);
      Exit;
    end;
  end;

end;

procedure Sort(Var Liste: Array of TMode;Count: Integer);
var i,j: integer;
    tmp: TMode;
begin
 for i:=low(Liste) to Count do
  for j:=low(Liste) to Count do
   if liste[i].Hres<liste[j].Hres then
    begin
     tmp:=liste[i];
     liste[i]:=liste[j];
     liste[j]:=tmp;
    end;
end;

var
  DC:      THandle;    // display context
  DM:      TDevMode;   // to Save EnumDisplaySettings
  ModeNum: longint;    // video mode number
  BPP,HRes,VRes: Longint;
initialization
 fillchar(Modes,sizeof(Modes),0);
 DC         := GetDC(0);
 DisplayMode.Bpp  := GetDeviceCaps(DC, BITSPIXEL);
 DisplayMode.HRes := GetDeviceCaps(DC, HORZRES);
 DisplayMode.VRes := GetDeviceCaps(DC, VERTRES);
 ReleaseDC(0, DC);

 ModeNum:=0;
 MCount:=0;
 while EnumDisplaySettings(nil, ModeNum, DM) do
  begin
    with Modes[MCount] do
    begin
     bpp:=DM.dmBitsPerPel;
     HRes:=DM.dmPelsWidth;
     VRes:=DM.dmPelsHeight;
    end;
   if (Modes[MCount].Hres<>Modes[MCount-1].Hres) or
      (Modes[MCount].Vres<>Modes[MCount-1].Vres) or
      (Modes[MCount].bpp<>Modes[MCount-1].bpp) then
      begin
      if (modes[MCount].vres>256) and (modes[MCount].hres>=320) and
         (modes[MCount].bpp in [8,16,24,32]) then inc(MCount);
     end;
   inc(ModeNum);
  end;
 Sort(Modes,MCount-1);

finalization
 DC         := GetDC(0);
 Bpp  := GetDeviceCaps(DC, BITSPIXEL);
 HRes := GetDeviceCaps(DC, HORZRES);
 VRes := GetDeviceCaps(DC, VERTRES);
 if (DisplayMode.Bpp<>BPP) or (DisplayMode.HRes<>Hres) or
    (DisplayMode.Vres<>Vres) then
     ChangeRes(hres,vres,bpp);

 ReleaseDC(0, DC);
end.
